SelectAction (Struts Core 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.chain.commands.servlet
Class SelectAction

    java.lang.Object
      org.apache.struts.chain.commands.ActionCommandBase
          org.apache.struts.chain.commands.AbstractSelectAction
              org.apache.struts.chain.commands.servlet.SelectAction

All Implemented Interfaces:
  org.apache.commons.chain.Command, ActionCommand

    public class SelectAction

extends AbstractSelectAction

Cache the `ActionConfig` instance for the action to be used for processing this request.

Version:
  $Rev: 508312 $ $Date: 2005-05-07 12:11:38 -0400 (Sat, 07 May 2005) $

Field Summary

Fields inherited from interface org.apache.commons.chain.Command
`CONTINUE_PROCESSING, PROCESSING_COMPLETE`

Constructor Summary
`SelectAction()`

Method Summary
`protected String` | `getPath(ActionContext context)` Return the path to be used to select the `ActionConfig` for this request.

Methods inherited from class org.apache.struts.chain.commands.AbstractSelectAction
`execute`

Methods inherited from class org.apache.struts.chain.commands.ActionCommandBase
`execute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectAction

    public SelectAction()

Method Detail

### getPath

    protected String getPath(ActionContext context)

  Description copied from class: `AbstractSelectAction`

  Return the path to be used to select the `ActionConfig` for this request.

  Specified by:
    `getPath` in class `AbstractSelectAction`
  Parameters:
    `context` - The `Context` for this request
  Returns:
    Path to be used to select the ActionConfig

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.